Package org.openoffice.da.comp.writer2latex

# Class BibTeXReader

java.lang.Object
org.openoffice.da.comp.writer2latex.BibTeXReader

public class BibTeXReader extends Object
The class reads the contents of a BibTeX file and makes it available as a map of ODF `BibMark` objects

## Constructor Summary

Constructors
Constructor
Description
`BibTeXReader(File file, String sEncoding)`
Construct a new `BibTeXReader` based on a file

## Method Summary

Modifier and Type
Method
Description
`Map<String,BibMark>`
`getEntries()`
Get the entries of this BibTeX file
`File`
`getFile()`
Get the file associated with this `BibTeXReader`
`void`
`reload()`
Parse the contents of the file, replacing any previous entries in this `BibTeXReader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BibTeXReader

public BibTeXReader(File file, String sEncoding) throws IOException, org.jbibtex.ParseException
Construct a new `BibTeXReader` based on a file

Parameters:
  `file` - the file to read
  `sEncoding` - the character encoding of the file
Throws:
  `IOException` - if any error occurs reading the file
  `org.jbibtex.ParseException` - if any error occurs interpreting the contents of the file

## Method Details

### reload

public void reload() throws IOException, org.jbibtex.ParseException
Parse the contents of the file, replacing any previous entries in this `BibTeXReader`

Throws:
  `IOException`
  `org.jbibtex.ParseException`

### getFile

public File getFile()
Get the file associated with this `BibTeXReader`

Returns:
  the file

### getEntries

public Map<String,BibMark> getEntries()
Get the entries of this BibTeX file

Returns:
  the entries